=== debian/changelog ===
peco (0.4.5-1) unstable; urgency=medium

  * New upstream version

 -- Haruki TSURUMOTO <tsu.root@gmail.com>  Sun, 27 Nov 2016 00:31:18 +0900

peco (0.0~git20161005.0.d4f7705-1) unstable; urgency=medium

  * Initial release (Closes: #831576)

 -- Haruki TSURUMOTO <tsu.root@gmail.com>  Sat, 08 Oct 2016 22:50:57 +0900
