=== debian/control ===
Source: peco
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Haruki TSURUMOTO <tsu.root@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-google-btree-dev,
               golang-go-flags-dev,
               golang-github-lestrrat-go-pdebug-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-nsf-termbox-go-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev
Standards-Version: 3.9.8
Homepage: https://github.com/peco/peco
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/peco.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/peco.git
XS-Go-Import-Path: github.com/peco/peco

Package: peco
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Simplistic interactive filtering tool
 peco Simplistic interactive filtering tool
 .
 peco can be a great tool to filter stuff like logs, process stats, find
 files, because unlike grep, you can type as you think and look through
 the current results.
