## peco 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,56 @@
 INTERNAL_BIN_DIR=_internal_bin
 GOVERSION=$(shell go version)
-GOOS=$(word 1,$(subst /, ,$(lastword $(GOVERSION))))
-GOARCH=$(word 2,$(subst /, ,$(lastword $(GOVERSION))))
+THIS_GOOS=$(word 1,$(subst /, ,$(lastword $(GOVERSION))))
+THIS_GOARCH=$(word 2,$(subst /, ,$(lastword $(GOVERSION))))
+GOOS=$(THIS_GOOS)
+GOARCH=$(THIS_GOARCH)
 VERSION=$(patsubst "%",%,$(lastword $(shell grep 'const version' peco.go)))
 RELEASE_DIR=releases
 ARTIFACTS_DIR=$(RELEASE_DIR)/artifacts/$(VERSION)
 SRC_FILES = $(wildcard *.go cmd/peco/*.go internal/*/*.go)
-HAVE_GLIDE:=$(shell which glide >& /dev/null)
+HAVE_GLIDE:=$(shell (test -e $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide || which glide >/dev/null 2>&1 ) && echo "yes")
 GITHUB_USERNAME=peco
+BUILD_TARGETS= \
+	build-linux-arm64 \
+	build-linux-arm \
+	build-linux-amd64 \
+	build-linux-386 \
+	build-darwin-amd64 \
+	build-darwin-386 \
+	build-windows-amd64 \
+	build-windows-386
+RELEASE_TARGETS=\
+	release-linux-arm64 \
+	release-linux-arm \
+	release-linux-amd64 \
+	release-linux-386 \
+	release-darwin-amd64 \
+	release-darwin-386 \
+	release-windows-amd64 \
+	release-windows-386
 
-.PHONY: clean build build-windows-amd64 build-windows-386 build-linux-amd64 $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)
+.PHONY: clean build $(RELEASE_TARGETS) $(BUILD_TARGETS) $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)
 
 build: $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX)
 
-$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide:
-ifndef HAVE_GLIDE
-	@echo "Installing glide for $(GOOS)/$(GOARCH)..."
-	@mkdir -p $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)
-	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(GOOS)-$(GOARCH).tar.gz | tar xvz
-	@mv $(GOOS)-$(GOARCH)/glide $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide
-	@rm -rf $(GOOS)-$(GOARCH)
+$(INTERNAL_BIN_DIR):
+	@echo "Creating $(INTERNAL_BIN_DIR)"
+	@mkdir -p $(INTERNAL_BIN_DIR)
+
+$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide: $(INTERNAL_BIN_DIR)
+ifeq ($(HAVE_GLIDE),)
+	@echo "Installing glide for $(THIS_GOOS)/$(THIS_GOARCH)..."
+	@mkdir -p $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)
+	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(THIS_GOOS)-$(THIS_GOARCH).tar.gz | tar xvz
+	@mv $(THIS_GOOS)-$(THIS_GOARCH)/glide $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
+	@rm -rf $(THIS_GOOS)-$(THIS_GOARCH)
 endif
 
-glide: $(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH)/glide
+glide: $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
 
 installdeps: glide $(SRC_FILES)
 	@echo "Installing dependencies..."
-	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) glide install
+	@$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide install
 
 build-windows-amd64:
 	@$(MAKE) build GOOS=windows GOARCH=amd64 SUFFIX=.exe
@@ -37,6 +61,12 @@
 build-linux-amd64:
 	@$(MAKE) build GOOS=linux GOARCH=amd64
 
+build-linux-arm:
+	@$(MAKE) build GOOS=linux GOARCH=arm
+
+build-linux-arm64:
+	@$(MAKE) build GOOS=linux GOARCH=arm64
+
 build-linux-386:
 	@$(MAKE) build GOOS=linux GOARCH=386
 
@@ -46,12 +76,12 @@
 build-darwin-386:
 	@$(MAKE) build GOOS=darwin GOARCH=386
 
-$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX):
+$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX): installdeps
 	go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go
 
-all: build-linux-amd64 build-linux-386 build-darwin-amd64 build-darwin-386 build-windows-amd64 build-windows-386
+all: $(BUILD_TARGETS)
 
-release: release-linux-amd64 release-linux-386 release-darwin-amd64 release-darwin-386 release-windows-amd64 release-windows-386
+release: $(RELEASE_TARGETS)
 
 $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/Changes:
 	@cp Changes $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)
@@ -70,6 +100,12 @@
 
 release-linux-amd64: build-linux-amd64
 	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=amd64
+
+release-linux-arm: build-linux-arm
+	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=arm
+
+release-linux-arm64: build-linux-arm64
+	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=arm64
 
 release-linux-386: build-linux-386
 	@$(MAKE) release-changes release-readme release-targz GOOS=linux GOARCH=386
@@ -99,12 +135,12 @@
 release-github-token: github_token
 	@echo "file `github_token` is required"
 
-release-upload: release-windows-386 release-windows-amd64 release-linux-386 release-linux-amd64 release-darwin-386 release-darwin-amd64 release-github-token
+release-upload: release release-github-token
 	ghr -u $(GITHUB_USERNAME) -t $(shell cat github_token) --draft --replace $(VERSION) $(ARTIFACTS_DIR)
 
 test: installdeps
 	@echo "Running tests..."
-	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell glide nv)
+	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide nv)
 
 clean:
 	-rm -rf $(RELEASE_DIR)/*/*
