=== debian/changelog ===
peco (0.5.1-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 21:06:27 +0000

peco (0.5.1-1) unstable; urgency=medium

  * New upstream version
  * Remove golang-golang-x-net-dev dependency

 -- Haruki TSURUMOTO <tsr.root@gmail.com>  Sun, 03 Dec 2017 20:45:05 +0900
