=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: peco
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Haruki TSURUMOTO <tsu.root@gmail.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
@@ -12,9 +13,8 @@
                golang-github-mattn-go-runewidth-dev,
                golang-github-nsf-termbox-go-dev,
                golang-github-pkg-errors-dev,
-               golang-github-stretchr-testify-dev,
-               golang-golang-x-net-dev
-Standards-Version: 3.9.8
+               golang-github-stretchr-testify-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/peco/peco
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/peco.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/peco.git
