## peco 0.5.10

=== Makefile ===
--- 
+++ 
@@ -8,26 +8,21 @@
 RELEASE_DIR=releases
 ARTIFACTS_DIR=$(RELEASE_DIR)/artifacts/$(VERSION)
 SRC_FILES = $(wildcard *.go cmd/peco/*.go internal/*/*.go)
-HAVE_GLIDE:=$(shell (test -e $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide || which glide >/dev/null 2>&1 ) && echo "yes")
 GITHUB_USERNAME=peco
 BUILD_TARGETS= \
 	build-linux-arm64 \
 	build-linux-arm \
 	build-linux-amd64 \
-	build-linux-386 \
 	build-darwin-amd64 \
-	build-darwin-386 \
-	build-windows-amd64 \
-	build-windows-386
+	build-darwin-arm64 \
+	build-windows-amd64
 RELEASE_TARGETS=\
 	release-linux-arm64 \
 	release-linux-arm \
 	release-linux-amd64 \
-	release-linux-386 \
 	release-darwin-amd64 \
-	release-darwin-386 \
-	release-windows-amd64 \
-	release-windows-386
+	release-darwin-arm64 \
+	release-windows-amd64
 
 .PHONY: clean build $(RELEASE_TARGETS) $(BUILD_TARGETS) $(RELEASE_DIR)/$(GOOS)/$(GOARCH)/peco$(SUFFIX)
 
@@ -37,20 +32,9 @@
 	@echo "Creating $(INTERNAL_BIN_DIR)"
 	@mkdir -p $(INTERNAL_BIN_DIR)
 
-$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide: $(INTERNAL_BIN_DIR)
-ifeq ($(HAVE_GLIDE),)
-	@echo "Installing glide for $(THIS_GOOS)/$(THIS_GOARCH)..."
-	@mkdir -p $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)
-	@wget -q -O - https://github.com/Masterminds/glide/releases/download/0.10.2/glide-0.10.2-$(THIS_GOOS)-$(THIS_GOARCH).tar.gz | tar xvz
-	@mv $(THIS_GOOS)-$(THIS_GOARCH)/glide $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
-	@rm -rf $(THIS_GOOS)-$(THIS_GOARCH)
-endif
-
-glide: $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide
-
-installdeps: glide $(SRC_FILES)
-	@echo "Installing dependencies..."
-	@$(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide install
+deps: 
+	@echo "Downloading dependencies..."
+	@GO111MODULE=on go mod download
 
 build-windows-amd64:
 	@$(MAKE) build GOOS=windows GOARCH=amd64 SUFFIX=.exe
@@ -73,11 +57,11 @@
 build-darwin-amd64:
 	@$(MAKE) build GOOS=darwin GOARCH=amd64
 
-build-darwin-386:
-	@$(MAKE) build GOOS=darwin GOARCH=386
+build-darwin-arm64:
+	@$(MAKE) build GOOS=darwin GOARCH=arm64
 
-$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX): installdeps
-	go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go
+$(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX): deps
+	@GO111MODULE=on go build -o $(RELEASE_DIR)/peco_$(GOOS)_$(GOARCH)/peco$(SUFFIX) cmd/peco/peco.go
 
 all: $(BUILD_TARGETS)
 
@@ -113,8 +97,8 @@
 release-darwin-amd64: build-darwin-amd64
 	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=amd64
 
-release-darwin-386: build-darwin-386
-	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=386
+release-darwin-arm64: build-darwin-arm64
+	@$(MAKE) release-changes release-readme release-zip GOOS=darwin GOARCH=arm64
 
 $(ARTIFACTS_DIR):
 	@mkdir -p $(ARTIFACTS_DIR)
@@ -138,9 +122,9 @@
 release-upload: release release-github-token
 	ghr -u $(GITHUB_USERNAME) -t $(shell cat github_token) --draft --replace $(VERSION) $(ARTIFACTS_DIR)
 
-test: installdeps
+test: deps
 	@echo "Running tests..."
-	@PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v $(shell $(INTERNAL_BIN_DIR)/$(THIS_GOOS)/$(THIS_GOARCH)/glide nv)
+	@GO111MODULE=on PATH=$(INTERNAL_BIN_DIR)/$(GOOS)/$(GOARCH):$(PATH) go test -v ./...
 
 clean:
 	-rm -rf $(RELEASE_DIR)/*/*
