=== debian/changelog ===
peco (0.5.10-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 17:16:35 +1000

peco (0.5.10-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:40:59 +1000

peco (0.5.10-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 10:57:45 +0530

peco (0.5.10-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:21 +1200

peco (0.5.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update d/control.
    - Specify version to golang-github-lestrrat-go-pdebug-dev.
    - Bump Standards-Version to 4.6.0.1 (no change).
    - Add "Rules-Requires-Root: no".

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Oct 2021 11:59:54 +0900

peco (0.5.1-2) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Team upload.
  * Move to salsa.debian.org.
  * Bump debhelper to 13.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fie
 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Oct 2021 11:36:02 +0900
