=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Haruki TSURUMOTO <tsu.root@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
                golang-github-google-btree-dev,
                golang-go-flags-dev,
-               golang-github-lestrrat-go-pdebug-dev,
+               golang-github-lestrrat-go-pdebug-dev (>= 0.0~git20180220.0.569c974-3),
                golang-github-mattn-go-runewidth-dev,
                golang-github-nsf-termbox-go-dev,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/peco/peco
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/peco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/peco.git
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/peco
+Vcs-Git: https://salsa.debian.org/pkg-go-team/peco.git
 XS-Go-Import-Path: github.com/peco/peco
+Rules-Requires-Root: no
 
 Package: peco
 Architecture: any
