## peco 1.21.1

=== DESCRIPTION ===
Encoding: UTF-8
Type: Package
Package: peco
Version: 1.21.1
Title: A Supervised Approach for **P**r**e**dicting **c**ell Cycle
        Pr**o**gression using scRNA-seq data
Authors@R: c(
        person("Chiaowen Joyce","Hsiao", email="joyce.hsiao1@gmail.com", 
                    role=c("aut","cre")),
        person("Matthew", "Stephens", email="stephens999@gmail.com", role="aut"),
        person("John", "Blischak", email = "jdblischak@gmail.com", role="ctb"),
        person("Peter", "Carbonetto", email = "peter.carbonetto@gmail.com",
                role="ctb"))
Description: Our approach provides a way to assign continuous cell cycle phase 
    using scRNA-seq data, and consequently, allows to identify cyclic trend 
    of gene expression levels along the cell cycle. This package provides method
    and training data, which includes scRNA-seq data collected from 6 individual 
    cell lines of induced pluripotent stem cells (iPSCs), and also continuous cell 
    cycle phase derived from FUCCI fluorescence imaging data. 
URL: https://github.com/jhsiao999/peco
BugReports: https://github.com/jhsiao999/peco/issues
License: GPL (>= 3)
Depends: R (>= 3.5.0)
Imports: assertthat, circular, conicfit, doParallel, foreach, genlasso
        (>= 1.4), graphics, methods, parallel, scater,
        SingleCellExperiment, SummarizedExperiment, stats, utils
Suggests: knitr, rmarkdown
biocViews: Sequencing, RNASeq, GeneExpression, Transcriptomics,
        SingleCell, Software, StatisticalMethod, Classification,
        Visualization
VignetteBuilder: knitr
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/peco
git_branch: devel
git_last_commit: c6caf77
git_last_commit_date: 2025-10-14
Repository: Bioconductor 3.22
Date/Publication: 2025-10-15
NeedsCompilation: no
Packaged: 2025-10-15 23:27:29 UTC; biocbuild
Author: Chiaowen Joyce Hsiao [aut, cre],
  Matthew Stephens [aut],
  John Blischak [ctb],
  Peter Carbonetto [ctb]
Maintainer: Chiaowen Joyce Hsiao <joyce.hsiao1@gmail.com>
