## peco 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Encoding: UTF-8
 Type: Package
 Package: peco
-Version: 1.21.1
+Version: 1.22.0
 Title: A Supervised Approach for **P**r**e**dicting **c**ell Cycle
         Pr**o**gression using scRNA-seq data
 Authors@R: c(
@@ -31,13 +31,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/peco
-git_branch: devel
-git_last_commit: c6caf77
-git_last_commit_date: 2025-10-14
+git_branch: RELEASE_3_22
+git_last_commit: a69498c
+git_last_commit_date: 2025-10-29
 Repository: Bioconductor 3.22
-Date/Publication: 2025-10-15
+Date/Publication: 2025-10-29
 NeedsCompilation: no
-Packaged: 2025-10-15 23:27:29 UTC; biocbuild
+Packaged: 2025-10-30 05:42:12 UTC; biocbuild
 Author: Chiaowen Joyce Hsiao [aut, cre],
   Matthew Stephens [aut],
   John Blischak [ctb],
